--- old/usr/src/lib/libbsm/common/audit_ftpd.c	Wed Apr  3 09:33:12 2013
+++ new/usr/src/lib/libbsm/common/audit_ftpd.c	Wed Apr  3 09:33:12 2013
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright (c) 2013 Gary Mills
+ *
  * Copyright (c) 1992, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
@@ -52,7 +54,7 @@
 #define	NO_ANONYMOUS	(4)
 #define	MISC_FAILURE	(5)
 
-static char		luser[LOGNAME_MAX + 1];
+static char		luser[LOGNAME_MAX_ILLUMOS + 1];
 
 static void generate_record(char *, int, char *);
 static int selected(uid_t, char *, au_event_t, int);
@@ -63,7 +65,7 @@
 	if (cannot_audit(0)) {
 		return;
 	}
-	(void) strncpy(luser, uname, LOGNAME_MAX);
+	(void) strncpy(luser, uname, LOGNAME_MAX_ILLUMOS);
 	generate_record(luser, BAD_PASSWD, dgettext(bsm_dom, "bad password"));
 }
 
@@ -74,7 +76,7 @@
 	if (cannot_audit(0)) {
 		return;
 	}
-	(void) strncpy(luser, uname, LOGNAME_MAX);
+	(void) strncpy(luser, uname, LOGNAME_MAX_ILLUMOS);
 	generate_record(luser, UNKNOWN_USER, dgettext(bsm_dom, "unknown user"));
 }
 
@@ -85,7 +87,7 @@
 	if (cannot_audit(0)) {
 		return;
 	}
-	(void) strncpy(luser, uname, LOGNAME_MAX);
+	(void) strncpy(luser, uname, LOGNAME_MAX_ILLUMOS);
 	generate_record(luser, EXCLUDED_USER, dgettext(bsm_dom,
 	    "excluded user"));
 }
@@ -115,7 +117,7 @@
 	if (cannot_audit(0)) {
 		return;
 	}
-	(void) strncpy(luser, uname, LOGNAME_MAX);
+	(void) strncpy(luser, uname, LOGNAME_MAX_ILLUMOS);
 	generate_record(luser, 0, "");
 }
 
